Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.repository
Class RepositoryCreationHelper

    java.lang.Object
      org.pentaho.di.repository.RepositoryCreationHelper

    public class RepositoryCreationHelper

extends Object

Constructor Summary
`RepositoryCreationHelper(Repository repository)`

Method Summary
`void` | `createRepositorySchema(org.pentaho.di.core.ProgressMonitorListener monitor, boolean upgrade, List<String> statements, boolean dryrun)` Create or upgrade repository tables & fields, populate lookup tables, ...
`void` | `updateJobEntryTypes(List<String> statements, boolean dryrun, boolean create)` Update the list in R_JOBENTRY_TYPE
`List<String>` | `updateStepTypes(List<String> statements, boolean dryrun, boolean create)` Update the list in R_STEP_TYPE using the StepLoader StepPlugin entries

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryCreationHelper

    public RepositoryCreationHelper(Repository repository)

Method Detail

### createRepositorySchema

    public void createRepositorySchema(org.pentaho.di.core.ProgressMonitorListener monitor,
                                       boolean upgrade,
                                       List<String> statements,
                                       boolean dryrun)
                                throws org.pentaho.di.core.exception.KettleException

  Create or upgrade repository tables & fields, populate lookup tables, ...

  Parameters:
    `monitor` - The progress monitor to use, or null if no monitor is present.
    `upgrade` - True if you want to upgrade the repository, false if you want to create it.
    `statements` - the list of statements to populate
    `dryrun` - true if we don't actually execute the statements
  Throws:
    `org.pentaho.di.core.exception.KettleException` - in case something goes wrong!

### updateStepTypes

    public List<String> updateStepTypes(List<String> statements,
                                        boolean dryrun,
                                        boolean create)
                                 throws org.pentaho.di.core.exception.KettleException

  Update the list in R_STEP_TYPE using the StepLoader StepPlugin entries

  Throws:
    `org.pentaho.di.core.exception.KettleException` - if the update didn't go as planned.

### updateJobEntryTypes

    public void updateJobEntryTypes(List<String> statements,
                                    boolean dryrun,
                                    boolean create)
                             throws org.pentaho.di.core.exception.KettleException

  Update the list in R_JOBENTRY_TYPE

  Parameters:
    `create` -
  Throws:
    `org.pentaho.di.core.exception.KettleException` - if something went wrong during the update.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD